net.i2p.client.streaming.impl

## Class Connection.RetransmitEvent

- java.lang.Object
- - net.i2p.util.SimpleTimer2.TimedEvent
  - - net.i2p.client.streaming.impl.Connection.RetransmitEvent

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    Connection

      class Connection.RetransmitEvent
      extends SimpleTimer2.TimedEvent

  A single retransmit timer for all packets. See RFCs 5681 and 6298.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.util.SimpleTimer2.TimedEvent

      `_state, DEFAULT_FUZZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetransmitEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel()` Cancel the timed event.
    `void` | `pushBackRTO(int rto)`
    `boolean` | `scheduleIfNotRunning(long delay)`
    `void` | `timeReached()` Simple interface for events to be queued up and notified on expiration the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

    - ### Methods inherited from class net.i2p.util.SimpleTimer2.TimedEvent

      `forceReschedule, reschedule, reschedule, run, schedule, setFuzz, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RetransmitEvent

          RetransmitEvent()

  - ### Method Detail

    - #### cancel

          public boolean cancel()

      Description copied from class: `SimpleTimer2.TimedEvent`
      Cancel the timed event.
      Overrides:
        `cancel` in class `SimpleTimer2.TimedEvent`
      Returns:
        true if cancelled

    - #### pushBackRTO

          public void pushBackRTO(int rto)

    - #### scheduleIfNotRunning

          public boolean scheduleIfNotRunning(long delay)

    - #### timeReached

          public void timeReached()

      Description copied from class: `SimpleTimer2.TimedEvent`
      Simple interface for events to be queued up and notified on expiration the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)
      Specified by:
        `timeReached` in class `SimpleTimer2.TimedEvent`